Issues Upgrading to Database 11.1.0.6 or 11.1.0.7.x When Database Contains Application Express Prior to Upgrade (Doc ID 761769.1)

Last updated on OCTOBER 27, 2016

Applies to:

Oracle Application Express (formerly HTML DB) - Version 2.2 and later
Information in this document applies to any platform.
**Checked for relevance on 09-Dec-2012***
**Checked for relevance on 06-May-2015***

Symptoms

** Please read this article fully before proceeding with the steps **

It has become apparent  of some upgrade issues with Application Express when a database is upgraded to 11.1.0.6 or 11.1.0.7, and the database being upgraded also contains Application Express.

Scenario 1: Database Contains Application Express 3.0.0.00.20 and is Upgraded to 11.1.0.7.x

In this scenario, the database upgrade process incorrectly tries to apply a patch to Application Express. At the end of the database upgrade Application Express will be invalid.

Scenario 2: Database contains Application Express 3.1 or later and also contains a FLOWS_ schema from Application Express 2.2 or earlier (but does not contain the FLOWS_030000 schema), and then is upgraded to database 11.1.0.6 or 11.1.0.7.x

In this scenario, during the database upgrade to 11.1.0.6 or 11.1.0.7.x, Application Express is downgraded from 3.1 or later to 3.0.1.00.08 or 3.0.1.00.12.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms